
Synnefo - Bug # 1724

Status: Closed Priority: Medium

Author: Antony Chazapis Category: Pithos

Created: 12/01/2011 Assignee: Sofia Papagiannaki

Updated: 02/08/2013 Due date:

Subject: Do not URL-encode all headers in python client lib

Description

Some headers should not be URL-encoded, as for example Content-Disposition.

Decoded by the server:

'X-Account-Meta-*', 'X-Account-Group-*', 'X-Container-Meta-*', 'X-Object-Meta-*',

'X-Object-Manifest', 'X-Object-Sharing', 'X-Copy-From', 'X-Move-From',

'X-Source-Account', 'X-Source-Object', 'Destination-Account', 'Destination'

Encoded by the server:

'X-Account-Meta-*', 'X-Account-Group-*', 'X-Container-Meta-*', 'X-Object-Meta-*',

'X-Container-Object-Meta', 'X-Object-Manifest', 'X-Object-Sharing', 'X-Object-Shared-By'

History

#1 - 12/01/2011 01:01 pm - Antony Chazapis

- Subject changed from Do not URL-encode XML replies to Do not URL-encode all headers in python client lib

- Assignee changed from Antony Chazapis to Sofia Papagiannaki

#2 - 12/02/2011 11:00 am - Antony Chazapis

- Status changed from New to Closed

Decided to encode/decode all headers at the server instead. More at #1511.

#3 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.8.1)

#4 - 02/08/2013 07:00 pm - Vangelis Koukis

- Category set to Pithos
